Class | ActiveRecord::SessionStore::Session
In: | lib/active_record/session_store.rb
Parent: | ActiveRecord::Base

The default Active Record class.

### Methods

create_table! data data_column_size_limit drop_table! find_by_session_id loaded? marshal unmarshal

### Attributes

data | [W] |

### Public Class methods

create_table!()
data_column_size_limit()
drop_table!()
find_by_session_id(session_id)

Hook to set up sessid compatibility.

marshal(data)
unmarshal(data)

### Public Instance methods

data()

Lazy-unmarshal session state.

loaded?()

Has the session been loaded yet?

[Validate]